DROP TABLE CRST_HZ_CUST_SITE_USES_ALL;

CREATE TABLE CRST_HZ_CUST_SITE_USES_ALL
(
  SITE_USE_ID                     NUMBER(15)    NOT NULL,
  CUST_ACCT_SITE_ID               NUMBER(15)    NOT NULL,
  LAST_UPDATE_DATE                DATE          NOT NULL,
  LAST_UPDATED_BY                 NUMBER(15)    NOT NULL,
  CREATION_DATE                   DATE          NOT NULL,
  CREATED_BY                      NUMBER(15)    NOT NULL,
  SITE_USE_CODE                   VARCHAR2(30 BYTE) NOT NULL,
  PRIMARY_FLAG                    VARCHAR2(1 BYTE) NOT NULL,
  STATUS                          VARCHAR2(1 BYTE) NOT NULL,
  LOCATION                        VARCHAR2(40 BYTE) NOT NULL,
  LAST_UPDATE_LOGIN               NUMBER(15),
  CONTACT_ID                      NUMBER(15),
  BILL_TO_SITE_USE_ID             NUMBER(15),
  ORIG_SYSTEM_REFERENCE           VARCHAR2(240 BYTE),
  SIC_CODE                        VARCHAR2(30 BYTE),
  PAYMENT_TERM_ID                 NUMBER(15),
  GSA_INDICATOR                   VARCHAR2(1 BYTE),
  SHIP_PARTIAL                    VARCHAR2(1 BYTE),
  SHIP_VIA                        VARCHAR2(30 BYTE),
  FOB_POINT                       VARCHAR2(30 BYTE),
  ORDER_TYPE_ID                   NUMBER(15),
  PRICE_LIST_ID                   NUMBER(15),
  FREIGHT_TERM                    VARCHAR2(30 BYTE),
  WAREHOUSE_ID                    NUMBER(15),
  TERRITORY_ID                    NUMBER(15),
  ATTRIBUTE_CATEGORY              VARCHAR2(30 BYTE),
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  REQUEST_ID                      NUMBER(15),
  PROGRAM_APPLICATION_ID          NUMBER(15),
  PROGRAM_ID                      NUMBER(15),
  PROGRAM_UPDATE_DATE             DATE,
  TAX_REFERENCE                   VARCHAR2(50 BYTE),
  SORT_PRIORITY                   NUMBER(5),
  TAX_CODE                        VARCHAR2(50 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  ATTRIBUTE16                     VARCHAR2(150 BYTE),
  ATTRIBUTE17                     VARCHAR2(150 BYTE),
  ATTRIBUTE18                     VARCHAR2(150 BYTE),
  ATTRIBUTE19                     VARCHAR2(150 BYTE),
  ATTRIBUTE20                     VARCHAR2(150 BYTE),
  ATTRIBUTE21                     VARCHAR2(150 BYTE),
  ATTRIBUTE22                     VARCHAR2(150 BYTE),
  ATTRIBUTE23                     VARCHAR2(150 BYTE),
  ATTRIBUTE24                     VARCHAR2(150 BYTE),
  ATTRIBUTE25                     VARCHAR2(150 BYTE),
  LAST_ACCRUE_CHARGE_DATE         DATE,
  SECOND_LAST_ACCRUE_CHARGE_DATE  DATE,
  LAST_UNACCRUE_CHARGE_DATE       DATE,
  SECOND_LAST_UNACCRUE_CHRG_DATE  DATE,
  DEMAND_CLASS_CODE               VARCHAR2(30 BYTE),
  ORG_ID                          NUMBER(15),
  TAX_HEADER_LEVEL_FLAG           VARCHAR2(1 BYTE),
  TAX_ROUNDING_RULE               VARCHAR2(30 BYTE),
  WH_UPDATE_DATE                  DATE,
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(30 BYTE),
  PRIMARY_SALESREP_ID             NUMBER(15),
  FINCHRG_RECEIVABLES_TRX_ID      NUMBER(15),
  DATES_NEGATIVE_TOLERANCE        NUMBER,
  DATES_POSITIVE_TOLERANCE        NUMBER,
  DATE_TYPE_PREFERENCE            VARCHAR2(20 BYTE),
  OVER_SHIPMENT_TOLERANCE         NUMBER,
  UNDER_SHIPMENT_TOLERANCE        NUMBER,
  ITEM_CROSS_REF_PREF             VARCHAR2(30 BYTE),
  OVER_RETURN_TOLERANCE           NUMBER,
  UNDER_RETURN_TOLERANCE          NUMBER,
  SHIP_SETS_INCLUDE_LINES_FLAG    VARCHAR2(1 BYTE),
  ARRIVALSETS_INCLUDE_LINES_FLAG  VARCHAR2(1 BYTE),
  SCHED_DATE_PUSH_FLAG            VARCHAR2(1 BYTE),
  INVOICE_QUANTITY_RULE           VARCHAR2(30 BYTE),
  PRICING_EVENT                   VARCHAR2(30 BYTE),
  GL_ID_REC                       NUMBER(15),
  GL_ID_REV                       NUMBER(15),
  GL_ID_TAX                       NUMBER(15),
  GL_ID_FREIGHT                   NUMBER(15),
  GL_ID_CLEARING                  NUMBER(15),
  GL_ID_UNBILLED                  NUMBER(15),
  GL_ID_UNEARNED                  NUMBER(15),
  GL_ID_UNPAID_REC                NUMBER(15),
  GL_ID_REMITTANCE                NUMBER(15),
  GL_ID_FACTOR                    NUMBER(15),
  TAX_CLASSIFICATION              VARCHAR2(30 BYTE),
  OBJECT_VERSION_NUMBER           NUMBER,
  CREATED_BY_MODULE               VARCHAR2(150 BYTE),
  APPLICATION_ID                  NUMBER,
  SITE_USE_ID_N                   NUMBER(15)
);
